%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:       Mate Notification Daemon
Name:          mate-notification-daemon
Version:       1.6.1
%define subrel	1
Release:       %mkrel 1
License:       GPLv2+
Group:         System/Servers
URL:           http://mate-desktop.org/
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libmatewnck)
BuildRequires: pkgconfig(x11)

Requires:      libnotify
Provides:      virtual-notification-daemon
Suggests:      notification-daemon-engine-nodoka

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://galago.info/specs/notification/index.php).

%prep
%setup -q

%build
%configure2_5x \
     --disable-static \
     --disable-schemas-compile   \
     --with-gtk=2.0

%make LIBS='-lgmodule-2.0'

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/mate-notification-daemon/engines/*.la

%find_lang %{name}

%files -f %name.lang
%doc AUTHORS COPYING README
%{_bindir}/mate-notification-properties
%{_datadir}/applications/mate-notification-properties.desktop
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/mate-notification-daemon/mate-notification-properties.ui
%{_libexecdir}/mate-notification-daemon
%{_datadir}/icons/hicolor/*/apps/mate-notification-properties.*
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_datadir}/MateConf/gsettings/mate-notification-daemon.convert
%{_libdir}/mate-notification-daemon
%{_mandir}/man1/*


%changelog
* Fri Mar 07 2014 wally <wally> 1.6.1-1.1.mga4
+ Revision: 600947
- drop unneeded conflicts for xfce4-notifyd (mga#12480)

* Fri Nov 01 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 548754
- Updated to latest bugfix version

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531053
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 442927
- imported package mate-notification-daemon

